## ros-noetic-tesseract-srdf 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

# Extract package name and version
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

if(WIN32)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

find_package(Boost REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(console_bridge REQUIRED)
find_package(tesseract_common REQUIRED)
find_package(tesseract_scene_graph REQUIRED)

if(NOT TARGET console_bridge::console_bridge)
  add_library(console_bridge::console_bridge INTERFACE IMPORTED)
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                  ${console_bridge_INCLUDE_DIRS})
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_LINK_LIBRARIES ${console_bridge_LIBRARIES})
else()
  get_target_property(CHECK_INCLUDE_DIRECTORIES console_bridge::console_bridge INTERFACE_INCLUDE_DIRECTORIES)
  if(NOT ${CHECK_INCLUDE_DIRECTORIES})
    set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                    ${console_bridge_INCLUDE_DIRS})
  endif()
endif()

# Load variable for clang tidy args, compiler options and cxx version
tesseract_variables()

initialize_code_coverage(ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
set(COVERAGE_EXCLUDE
    /usr/*
    /opt/*
    ${CMAKE_CURRENT_LIST_DIR}/test/*
    /*/gtest/*
    /*/bullet/LinearMath/*)
add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

add_library(
  ${PROJECT_NAME}
  src/collision_margins.cpp
  src/disabled_collisions.cpp
  src/group_opw_kinematics.cpp
  src/group_rep_kinematics.cpp
  src/group_rop_kinematics.cpp
  src/group_states.cpp
  src/group_tool_center_points.cpp
  src/groups.cpp
  src/kinematics_information.cpp
  src/srdf_model.cpp
  src/utils.cpp)
target_link_libraries(${PROJECT_NAME} PUBLIC Eigen3::Eigen tesseract::tesseract_common tesseract::tesseract_scene_graph)
target_link_libraries(${PROJECT_NAME} PRIVATE Boost::boost console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME} PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                  "$<INSTALL_INTERFACE:include>")

configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME})

# Mark cpp header files for installation
install(FILES include/${PROJECT_NAME}/srdf_model.h include/${PROJECT_NAME}/kinematics_information.h
              include/${PROJECT_NAME}/utils.h DESTINATION include/${PROJECT_NAME})

# ADD Examples
add_subdirectory(examples)

if(TESSERACT_ENABLE_TESTING)
  enable_testing()
  add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
  add_subdirectory(test)
endif()

if(TESSERACT_PACKAGE)
  tesseract_cpack(
    VERSION ${pkg_extracted_version}
    MAINTAINER <https://github.com/ros-industrial-consortium/tesseract>
    DESCRIPTION ${pkg_extracted_description}
    LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
    LINUX_DEPENDS
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "libconsole-bridge-dev"
      "libeigen3-dev"
    WINDOWS_DEPENDS "${TESSERACT_PACKAGE_PREFIX}tesseract-common" "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
                    "Eigen3")
endif()

=== examples/CMakeLists.txt ===
find_package(tesseract_support REQUIRED)
find_package(tesseract_common REQUIRED)

add_executable(${PROJECT_NAME}_parse_srdf_example parse_srdf_example.cpp)
target_link_libraries(
  ${PROJECT_NAME}_parse_srdf_example
  ${PROJECT_NAME}
  tesseract::tesseract_common
  console_bridge::console_bridge
  tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_parse_srdf_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                  ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_clang_tidy(${PROJECT_NAME}_parse_srdf_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_parse_srdf_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
add_dependencies(${PROJECT_NAME}_parse_srdf_example ${PROJECT_NAME})
install(TARGETS ${PROJECT_NAME}_parse_srdf_example DESTINATION bin)

=== test/CMakeLists.txt ===
find_package(GTest REQUIRED)
find_package(tesseract_support REQUIRED)

if(NOT TARGET GTest::GTest)
  add_library(GTest::GTest INTERFACE IMPORTED)
  set_target_properties(GTest::GTest PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_LIBRARIES})
    set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "gtest.lib")
    else()
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest.so")
    endif()
  endif()
endif()

if(NOT TARGET GTest::Main)
  add_library(GTest::Main INTERFACE IMPORTED)
  set_target_properties(GTest::Main PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_MAIN_LIBRARIES})
    set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_MAIN_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "gtest_main.lib")
    else()
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest_main.so")
    endif()
  endif()
endif()

include(GoogleTest)

add_executable(${PROJECT_NAME}_unit tesseract_srdf_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support
          tesseract::tesseract_geometry)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_unit)

=== debian/changelog ===
ros-noetic-tesseract-srdf (0.4.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sat, 24 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-srdf (0.4.0-1buster) buster; urgency=high

  * Fix test names in tesseract_srdf
  * Fix spelling in tesseract_srdf package.xml
  * Update tesseract_srdf to leverage nested exceptions
  * Move srdf code to its own package tesseract_srdf
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 23 Apr 2021 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-tesseract-srdf
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-support
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-srdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph
Description: The tesseract_srdf package for parsing Tesseract specific srdf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tesseract-srdf//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-tesseract-srdf//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-tesseract-srdf 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 find_package(console_bridge REQUIRED)
 find_package(tesseract_common REQUIRED)
 find_package(tesseract_scene_graph REQUIRED)
+find_package(yaml-cpp REQUIRED)
 
 if(NOT TARGET console_bridge::console_bridge)
   add_library(console_bridge::console_bridge INTERFACE IMPORTED)
@@ -43,25 +44,29 @@
 add_library(
   ${PROJECT_NAME}
   src/collision_margins.cpp
+  src/configs.cpp
   src/disabled_collisions.cpp
-  src/group_opw_kinematics.cpp
-  src/group_rep_kinematics.cpp
-  src/group_rop_kinematics.cpp
   src/group_states.cpp
   src/group_tool_center_points.cpp
   src/groups.cpp
   src/kinematics_information.cpp
   src/srdf_model.cpp
   src/utils.cpp)
-target_link_libraries(${PROJECT_NAME} PUBLIC Eigen3::Eigen tesseract::tesseract_common tesseract::tesseract_scene_graph)
+target_link_libraries(
+  ${PROJECT_NAME}
+  PUBLIC Eigen3::Eigen
+         tesseract::tesseract_common
+         tesseract::tesseract_scene_graph
+         yaml-cpp)
 target_link_libraries(${PROJECT_NAME} PRIVATE Boost::boost console_bridge::console_bridge)
 target_compile_options(${PROJECT_NAME} PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
 target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
 target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
-target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
 target_code_coverage(
   ${PROJECT_NAME}
+  PRIVATE
   ALL
   EXCLUDE ${COVERAGE_EXCLUDE}
   ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
@@ -76,9 +81,11 @@
               include/${PROJECT_NAME}/utils.h DESTINATION include/${PROJECT_NAME})
 
 # ADD Examples
-add_subdirectory(examples)
+if(TESSERACT_ENABLE_EXAMPLES OR TESSERACT_SRDF_ENABLE_EXAMPLES)
+  add_subdirectory(examples)
+endif()
 
-if(TESSERACT_ENABLE_TESTING)
+if(TESSERACT_ENABLE_TESTING OR TESSERACT_SRDF_ENABLE_TESTING)
   enable_testing()
   add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
   add_subdirectory(test)
@@ -92,10 +99,15 @@
     LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
     README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
     LINUX_DEPENDS
+      "libconsole-bridge-dev"
+      "libeigen3-dev"
+      "libyaml-cpp-dev"
       "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
       "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
-      "libconsole-bridge-dev"
-      "libeigen3-dev"
-    WINDOWS_DEPENDS "${TESSERACT_PACKAGE_PREFIX}tesseract-common" "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
-                    "Eigen3")
+    WINDOWS_DEPENDS
+      "console-bridge"
+      "Eigen3"
+      "yaml-cpp"
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
+      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph")
 endif()

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,7 @@
   tesseract::tesseract_support)
 target_compile_options(${PROJECT_NAME}_parse_srdf_example PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                   ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
-target_clang_tidy(${PROJECT_NAME}_parse_srdf_example ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
-                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME}_parse_srdf_example ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME}_parse_srdf_example PRIVATE VERSION ${TESSERACT_CXX_VERSION})
 add_dependencies(${PROJECT_NAME}_parse_srdf_example ${PROJECT_NAME})
 install(TARGETS ${PROJECT_NAME}_parse_srdf_example DESTINATION bin)

=== test/CMakeLists.txt ===
find_gtest()
find_package(tesseract_support REQUIRED)

add_executable(${PROJECT_NAME}_serialization_unit tesseract_srdf_serialization_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support
          tesseract::tesseract_geometry)
target_compile_options(${PROJECT_NAME}_serialization_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                  ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_serialization_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_serialization_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_serialization_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_serialization_unit)
add_dependencies(${PROJECT_NAME}_serialization_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_serialization_unit)

add_executable(${PROJECT_NAME}_unit tesseract_srdf_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support
          tesseract::tesseract_geometry)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_unit)

=== debian/changelog ===
ros-noetic-tesseract-srdf (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.18.0-1focal) focal; urgency=high

  * Add package cmake flags for testing, examples and benchmarks
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.17.0-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.16.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.16.0-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.15.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-srdf (0.15.0-1focal) focal; urgency=high

  * Performance improvements found using callgrind (#852 <https://github.com/tesseract-robotics/tesseract/issues/852>)
  * Improve tesseract_srdf code coverage (#836 <https://github.com/tesseract-robotics/tesseract/issues/836>)
  * Fix KinematicsInformation equal and insert methods
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-srdf (0.14.0-1focal) focal; urgency=high

  * Order srdf save so plugins are above the acm
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.13.1-1focal) focal; urgency=high

  * Move boost serialization export outside tesseract_common namespace in srdf_model.cpp
  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.10-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.7-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.5-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.4-1focal) focal; urgency=high

  * Windows fixes with passing unit tests (#751 <https://github.com/tesseract-robotics/tesseract/issues/751>)
    * Fix bug in OFKTStateSolver::moveLinkHelper
    * Use binary ifstream ond ofstream in serialization.h
    * Add c++17 flag to windows_noetic_build.yml
    * Fix SceneGraph move constructor, restore modified unit tests
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.9.0-1focal) focal; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.8.7-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.8.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-srdf (0.8.5-1focal) focal; urgency=high

  * Add boost serialization for Environment commands and all underlying types (#726 <https://github.com/tesseract-robotics/tesseract/issues/726>)
    * Add serialization macros to tesseract_common


=== debian/control ===
Source: ros-noetic-tesseract-srdf
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev <!nocheck>, libyaml-cpp-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-support <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-srdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, libyaml-cpp-dev, ros-noetic-tesseract-common, ros-noetic-tesseract-scene-graph
Description: The tesseract_srdf package for parsing Tesseract specific srdf

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,17 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
 # Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
 export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -31,7 +36,8 @@
 	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
